Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::mysql_time Struct Reference

Base class of Time. More...

`#include <datetime.h>`

Inheritance diagram for mysqlpp::mysql_time:

[legend]
Collaboration diagram for mysqlpp::mysql_time:

[legend]
List of all members.

## Public Methods
std::ostream & | out_stream (std::ostream &os) const
| Insert the time into a stream.
cchar * | convert (cchar *)
| Parse a MySQL time string into this object.
## Public Attributes
tiny_int | hour
| hour, 0-23
tiny_int | minute
| minute, 0-59
tiny_int | second
| second, 0-59
## Protected Methods
short int | compare (const mysql_time *other) const
| Compare this time to another.

## Detailed Description

Base class of Time.

## Member Function Documentation

short int mysqlpp::mysql_time::compare | ( | const mysql_time * | other | ) | const`[protected]`

| Compare this time to another. Returns < 0 if this time is before the other, 0 of they are equal, and > 0 if this time is after the other. This method is protected because it is merely the engine used by the various operators in DTbase.

ostream & mysqlpp::mysql_time::out_stream | ( | std::ostream & | os | ) | const

  | Insert the time into a stream. The format is HH:MM:SS, zero-padded. Parameters:
  os | stream to insert time into
Reimplemented in mysqlpp::DateTime.

The documentation for this struct was generated from the following files:

- datetime.h
- datetime.cpp